From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mock/
Date: Sat, 5 Dec 2020 23:48:45 +0000 (UTC) [thread overview]
Message-ID: <1607212118.b7a6f93e16f5d58ee875f69ab90ae2f5a69de29b.sam@gentoo> (raw)
commit: b7a6f93e16f5d58ee875f69ab90ae2f5a69de29b
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 5 23:48:31 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 5 23:48:38 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7a6f93e
dev-python/mock: bump to 4.0.2
Closes: https://bugs.gentoo.org/758482
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/mock/Manifest | 1 +
dev-python/mock/mock-4.0.2.ebuild | 50 +++++++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/mock/Manifest b/dev-python/mock/Manifest
index 503c3dd6564..b1ce22da1f2 100644
--- a/dev-python/mock/Manifest
+++ b/dev-python/mock/Manifest
@@ -1 +1,2 @@
DIST mock-3.0.5.gh.tar.gz 67887 BLAKE2B b9c49b3627275889d73aff9ea9c7925093f9cafb304448b2f06eda2fff26152a031aafb4844537e4d58bc112709e59a44e08d32602776386a30d039743def29c SHA512 9ab4f0c794f5701ba1367d982cf79a5662d4233753d12ed9c88ae20282db1f44be73f84c4d9f6d03ff64926b8c1b6d0c9a79b2a4724a3eb36c247ffd4ab03e2d
+DIST mock-4.0.2.gh.tar.gz 79450 BLAKE2B 529d8564a8f236b428745838fbc3bfd1cfc540a5feb5527653b7d4becb6ff118056bb301cb186964570c50588b42b7be22338c8c2b844c932284fdc359648add SHA512 348b67a62d1937de1778e3030fb4940bb11c58e839d212a75924aa94ed9a993b47b04612de92f073ec3fe4af4be15468e843f70a2d94bb31edb0a4c57cb46cc6
diff --git a/dev-python/mock/mock-4.0.2.ebuild b/dev-python/mock/mock-4.0.2.ebuild
new file mode 100644
index 00000000000..19b6806602f
--- /dev/null
+++ b/dev-python/mock/mock-4.0.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Rolling backport of unittest.mock for all Pythons"
+HOMEPAGE="https://github.com/testing-cabal/mock"
+SRC_URI="https://github.com/testing-cabal/mock/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/funcsigs[${PYTHON_USEDEP}]
+ ' -2)
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ >=dev-python/setuptools-17.1[${PYTHON_USEDEP}]"
+
+python_test() {
+ # Upstream supports running tests only in their dream pristine
+ # environment. pytest doesn't work at all if mock is already
+ # installed. We can use plain unittest but we have to reinvent
+ # test filtering.
+ cp -r mock/tests "${BUILD_DIR}"/lib/mock/ || die
+ cd "${BUILD_DIR}"/lib || die
+ if ! python_is_python3; then
+ rm mock/tests/*py3* || die
+ fi
+
+ # https://github.com/testing-cabal/mock/commit/d6b42149bb87cf38729eef8a100c473f602ef7fa
+ if [[ ${EPYTHON} == pypy* ]]; then
+ sed -i -e 's:def test_copy:def _test_copy:' \
+ mock/tests/testmock.py || die
+ fi
+
+ "${EPYTHON}" -m unittest discover -v || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGELOG.rst README.rst )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2020-12-05 23:48 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-05 23:48 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-04 6:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/mock/ Michał Górny
2024-05-14 15:13 Michał Górny
2023-08-11 19:10 Michał Górny
2023-08-11 19:05 Arthur Zamarin
2023-07-12 4:04 Michał Górny
2023-05-23 16:23 Michał Górny
2023-05-23 16:23 Michał Górny
2023-05-23 16:15 Michał Górny
2023-05-23 15:46 Arthur Zamarin
2023-05-23 15:42 Michał Górny
2023-04-17 5:41 Michał Górny
2023-01-10 6:21 Michał Górny
2022-12-29 12:27 Michał Górny
2022-12-28 19:11 Arthur Zamarin
2022-06-10 4:18 Michał Górny
2022-06-10 3:09 Sam James
2022-05-09 20:38 Michał Górny
2022-05-09 15:01 Michał Górny
2021-03-02 14:34 Michał Górny
2021-01-13 19:06 Sam James
2021-01-13 18:26 Michał Górny
2020-12-14 2:30 Sam James
2020-12-08 22:56 Sam James
2020-12-08 19:45 Fabian Groffen
2020-09-20 15:38 Michał Górny
2020-05-25 16:16 Michał Górny
2020-05-11 17:33 Michał Górny
2020-05-09 8:47 Mart Raudsepp
2020-05-08 9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-03-16 21:09 Michał Górny
2019-11-16 11:02 Michał Górny
2019-11-13 10:42 Michał Górny
2019-11-13 2:52 Patrick McLean
2019-11-12 23:44 Patrick McLean
2019-11-12 23:04 Patrick McLean
2018-08-20 5:26 Mikle Kolyada
2018-04-16 18:36 Sergei Trofimovich
2018-04-07 20:33 Matt Turner
2018-04-07 20:33 Matt Turner
2018-03-05 21:31 Tobias Klausmann
2017-12-09 14:21 Pacho Ramos
2017-07-29 20:38 Matt Thode
2017-07-18 8:25 Sergei Trofimovich
2016-11-06 21:39 Matt Thode
2016-08-19 20:00 Tim Harder
2016-01-14 9:53 Justin Lecher
2016-01-14 9:53 Justin Lecher
2015-12-31 12:55 Justin Lecher
2015-12-07 18:33 Mike Frysinger
2015-11-23 10:05 Justin Lecher
2015-11-22 8:38 Markus Meier
2015-11-22 5:38 Jeroen Roovers
2015-11-19 10:25 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-04 6:40 Justin Lecher
2015-11-04 6:18 Justin Lecher
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-10-14 13:40 Justin Lecher
2015-10-10 18:49 Mikle Kolyada
2015-10-10 18:49 Mikle Kolyada
2015-10-03 7:59 Markus Meier
2015-09-29 14:14 Tobias Klausmann
2015-09-27 16:16 Markus Meier
2015-09-22 8:26 Tobias Klausmann
2015-09-14 5:20 Jeroen Roovers
2015-09-01 15:06 Matt Thode
2015-08-25 8:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1607212118.b7a6f93e16f5d58ee875f69ab90ae2f5a69de29b.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox